#!/bin/bash

LOG="mpi-short.log"

N_TASK=1
if [[ $# > 1 ]]; then
    N_TASK=$((2 ** ${1:-0}))
    shift
fi

SINDARIN=${1}
JOBNAME=`basename ${SINDARIN} .sin`

echo "${JOBNAME} prepare/sequence.sh running at `date`" >> ${LOG}
echo "  run WHIZARD with ${SINDARIN}" >> ${LOG}
echo "  benchmark over ${N_TASK}" >> ${LOG}
mkdir -p ${JOBNAME}/${N_TASK} && \
    cd ${JOBNAME}/${N_TASK} && \
    ${HOME}/workspace/whizard-scripts/run.sh prepare-sindarin ${SINDARIN} true
echo >> ${LOG}
