#!/bin/bash

LOG="mpi-short.log"

SINDARIN=${1}
JOBNAME=`basename ${SINDARIN} .sin`

echo "${JOBNAME} prepare/sequence.sh running at `date`" >> ${LOG}
echo "  run WHIZARD with ${SINDARIN}" >> ${LOG}

echo "TASK: ${JOBNAME}"
for i in `seq 0 7`; do
    N_TASK=$((2**${i}))

    echo "  benchmark over ${N_TASK}" >> ${LOG}
    (set -x
     mkdir -p ${JOBNAME}/${N_TASK} && \
         cd ${JOBNAME}/${N_TASK} && \
         ${HOME}/workspace/whizard-scripts/run.sh prepare-sindarin ${SINDARIN} true
    )
done;
echo >> ${LOG}
