#!/bin/bash

source ${HOME}/whizard-scripts/whizard.sh

# Example WHIZARD run script

RUN_TIME=True                   # RUN_TIME=(True|False)

MPIRUN=True                     # MPIRUN=(True|False)
N_TASKS="2"
HOSTFILE=False                  # Set path to hostfile
MPILOG=mpi.log

# Sindarin
INTEGRATE=True                  # INTREGATE=(True|False)
SIMULATE=True                   # SIMULATE=(True|False)

# Analysis
ANALYSIS="WHIZARD_2017_ppWj"

# WHIZARD_BIN=""
# WHIZARD_ENV_BIN=""
WHIZARD_GLOBAL_OPTIONS=(
    --no-banner
)
WHIZARD_REBUILD=(
    # -r
)

main $@
