#!/bin/bash

#SBATCH --partition=short
#SBATCH --time=02:00:00
#SBATCH --mail-user=brass@physik.uni-siegen.de
#SBATCH --mail-type=FAIL
#SBATCH --tasks-per-node=
#SBATCH --mem-per-cpu=4G

echo "hostname is `hostname`"
echo "task is ${SLURM_JOB_NAME}"

SIN_FILE=${1}

export OMP_NUM_THREADS=${SLURM_CPUS_PER_TASK}

${HOME}/workspace/whizard-scripts/run.sh run-time-whizard ${SIN_FILE} true
