#!/bin/bash

#SBATCH --partition=long
#SBATCH --time=20-00:00:00
#SBATCH --mail-user=brass@physik.uni-siegen.de
#SBATCH --mail-type=FAIL
#SBATCH --tasks-per-node=
#SBATCH --mem-per-cpu=4G

echo "hostname is `hostname`"
echo "task is ${SLURM_JOB_NAME}"

SIN_FILE=${1}
DIRECTORY=`basename ${SIN_FILE} .sin`/${SLURM_N_TASKS}

export OMP_NUM_THREADS=${SLURM_CPUS_PER_TASK}

${HOME}/workspace/whizard-scripts/run.sh run-time-whizard ${SIN_FILE} ${DIRECTORY}
